%define name brewtarget
%define version 2.3.0
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release: 	%{release}
Summary:	Brewtarget helps you brew beer
Summary(de):	Brewtarget hilft Ihnen Bier zu brauen.
License:	GPLv3
URL:		http://brewtarget.sourceforge.net/
Group: 		Databases
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}_%{version}.orig.tar.xz
BuildRequires:	ImageMagick 
BuildRequires:	cmake
BuildRequires:	qtbase5-devel
BuildRequires:	qtwebkit5-devel
BuildRequires:	qtmultimedia5
BuildRequires:	qtmultimedia5-devel
BuildRequires:	qtwebkitwidgets5-devel
BuildRequires:	qthelp5-devel
BuildRequires:	sqlite3-tools
Requires:	%{_lib}qtsvg5


%description
Brewtarget helps you brew beer. It is a beer calculator for brewing beer. 
Compatible with BeerSmith. Generates instructions for you from the recipe!
Hit all your targets with brewtarget. After installation, the program can
be started from the menu, Databases

%description -l de
Brewtarget hilft Ihnen Bier zu brauen. Es ist ein Bierrechner zum Bierbrauen.
Es ist kompatibel mit BeerSmith. Es erzeugt Anweisungen für Sie vom Rezept.
Erreichen Sie alle Ihre Ziele mit Brewtarget. Nach der Installation kann das 
Programm vom Menü Datenbanken aus gestartet werden.

%prep
%setup -q 

%build
      
%cmake -DNO_PHONON=OFF
%make 

%install
rm -rf $RPM_BUILD_ROOT

pushd build
%makeinstall_std
popd

# icons
install -d -m755 %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
convert images/brewtarget.svg -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert images/brewtarget.svg -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
#install -m644 images/brewtarget_icon.png %{buildroot}%{_liconsdir}/%{name}.png

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{name}
Icon=%{name}
Terminal=false
Name=BrewTarget
Comment=%{summary}
Comment[de]=Brewtarget hilft Ihnen Bier zu brauen.
Categories=X-MandrivaLinux-MoreApplications-Databases;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc COPYING.GPLv3 COPYING.WTFPL COPYRIGHT 
%{_bindir}
%{_datadir}


%changelog
* Sat Feb 20 2016 ghostbunny <ghostbunny at gmx dot de> 2.3.0-1pclos2016
- 2.3.0
- replace qt4 BRs by qt5 BRs

* Sun Dec 07 2014 ghostbunny <ghostbunny at gmx dot de> 2.1.0-1pclos2014
- 2.1.0

* Fri Jul 25 2014 ghostbunny <ghostbunny at gmx dot de> 2.0.3-1pclos2014
- 2.0.3
- add BR qt4-database-plugin-sqlite, sqlite3-tools

* Fri Jan 03 2014 ghostbunny <ghostbunny at gmx dot de> 2.0.1-1pclos2014
- 2.0.1

* Sun Feb 17 2013 ghostbunny <ghostbunny at gmx dot de> 2.0.0-1pclos2013
- 2.0.0
- add german summary, description and comment in desktop file
- fixed BR
- add R qt4-database-plugin-sqlite

* Tue Oct 25 2011 MBantz <martin dot bantz at gmail dot com> 1.2.4
- Update to 1.2.4
- Change to cmake
 
* Thu Mar 4 2010 MBantz <martin dot bantz at gmail dot com> 1.2
- Initial build for PCLinuxOS
